import { Divider, HStack, Icon, IconButton, Text } from '@chakra-ui/react'
import { Link, back, routes, useLocation } from '@redwoodjs/router'
import React from 'react'
import { FaArrowLeft } from 'react-icons/fa'

export const Topbar: React.FC = () => {
  const asd = useLocation()
  console.log({ asd })
  const handleOnBack = () => {
    back()
  }
  return (
    <>
      <HStack h="10" w="full" justifyContent="space-between">
        <IconButton
          aria-label="back"
          variant="unstyled"
          onClick={handleOnBack}
          icon={<Icon as={FaArrowLeft} />}
        />

        <Link to={routes.patterns()}>
          <Text textAlign="right">Patrones</Text>
        </Link>
      </HStack>
      <Divider />
    </>
  )
}
